Date: Wed, 29 Jan 1997 20:16:20 +0100 (MET)
From: Tomas Berndtsson <tobe@lysator.liu.se>
To: Linux-m68k List <linux-m68k@phil.uni-sb.de>
Subject: L68K: Fix for DSP56k driver...
Sender: owner-linux-m68k@phil.uni-sb.de
Reply-To: linux-m68k@phil.uni-sb.de

I made a small mistake in the previous patch. Here's a new patch to fix
that.


--- linux-2.1.21/drivers/char/dsp56k.c~	Wed Jan 29 16:03:56 1997
+++ linux-2.1.21/drivers/char/dsp56k.c	Wed Jan 29 20:09:35 1997
@@ -544,12 +544,15 @@
 #ifdef MODULE
 int init_module(void)
 {
+	int r;
+
 	init_error = 0;
 	dsp56k_init();
 	if(init_error)
 		return -EPERM;
 
-	if(register_chrdev(DSP56K_MAJOR, "dsp56k", &dsp56k_fops)) {
+	r = register_chrdev(DSP56K_MAJOR, "dsp56k", &dsp56k_fops);
+	if(r) {
 		printk("DSP56k driver: Unable to register driver\n");
 		return r;
 	}


